Bug 9823 - /etc/inputrc set emacs mode regardless of mode, causes set -o vi to break on login
/etc/inputrc set emacs mode regardless of mode, causes set -o vi to break on ...
Product: Red Hat Linux
Classification: Retired
Component: setup (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2000-02-28 01:25 EST by Zot O'Connor
Modified: 2014-03-16 22:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-04-18 12:31:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zot O'Connor 2000-02-28 01:25:09 EST
/etc/inputrc set emacs mode regardless of mode

A quick fix is:

$if mode == emacs
  "\e0d": backward-word
  "\e0c": forward-word
  "\e[h": beginning-of-line
  "\e[f": end-of-line
  "\e[1~": beginning-of-line
  "\e[4~": end-of-line
  "\e[5~": beginning-of-history
  "\e[6~": end-of-history
  "\e[3~": delete-char
  "\e[2~": quoted-insert

If you set your login shell (bash_profile) to set set -o vi, it prevents
all command history.

This is broken is 6.0 and is fairly well documented /etc/inputrc, and
redhat is getting abuse for it

Comment 1 Bill Nottingham 2000-04-18 12:31:59 EDT
This should be fixed in 6.2; setting preferences in
$HOME/.inputrc will override the global settings.

Note You need to log in before you can comment on or make changes to this bug.